auto lo
iface lo inet loopback
    address 10.10.10.{{ inventory_hostname[-1] }}/32

auto mgmt
iface mgmt
    vrf-table auto
    address 127.0.0.1/8

auto eth0
iface eth0 inet dhcp
    vrf mgmt

{% for port in range(1, 17) %}
auto swp{{ port }}
iface swp{{ port }}
    {% if port | int is divisibleby 2 %}
    bridge-access {{ devices[inventory_hostname]['compute']['vlans'][1].id }}
    {% else %}
    bridge-access {{ devices[inventory_hostname]['compute']['vlans'][0].id }}
    {% endif %}
{% endfor %}

{% for port in range(17, 33) %}
auto swp{{ port }}
iface swp{{port }}
{% endfor %}

auto bridge
iface bridge
    bridge-ports swp1 swp2 swp3 swp4 swp5 swp6 swp7 swp8 swp9 swp10 swp11 swp12 swp13 swp14 swp15 swp16
    bridge-vids {{ devices[inventory_hostname]['compute']['vlans'][0].id }} {{ devices[inventory_hostname]['compute']['vlans'][1].id }}
    bridge-vlan-aware yes

{% for vlan in devices[inventory_hostname]['compute']['vlans'] %}
auto vlan{{ vlan.id }}
iface vlan{{ vlan.id }}
    address {{ vlan.subnet|ipaddr('next_usable') }}/{{ vlan.subnet|ipaddr('prefix') }}
    vlan-id {{ vlan.id }}
    vlan-raw-device bridge
{% endfor %}